Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2
Class GlacierNotEnoughFragmentsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              rice.p2p.glacier.GlacierException
                  rice.p2p.glacier.v2.GlacierNotEnoughFragmentsException

All Implemented Interfaces:
  java.io.Serializable

public class GlacierNotEnoughFragmentsException
extends GlacierException

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`int` | `checked` DESCRIBE THE FIELD
`int` | `found` DESCRIBE THE FIELD

Constructor Summary
`GlacierNotEnoughFragmentsException(java.lang.String msg, int checked, int found)` Constructor for GlacierNotEnoughFragmentsException.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### checked

    public int checked

  DESCRIBE THE FIELD

### found

    public int found

  DESCRIBE THE FIELD

Constructor Detail

### GlacierNotEnoughFragmentsException

    public GlacierNotEnoughFragmentsException(java.lang.String msg,
                                              int checked,
                                              int found)

  Constructor for GlacierNotEnoughFragmentsException.

Parameters:
  `msg` - DESCRIBE THE PARAMETER
  `checked` - DESCRIBE THE PARAMETER
  `found` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.